package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallMemberCms;
import org.apache.ibatis.annotations.Param;

/**
 * 手机验证码Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-28
 */
public interface MallMemberCmsMapper
{

    /**
     * 根据手机号，验证码查询
     * @return
     */
    public MallMemberCms getCmsByPhone(@Param("phone") String phone,@Param("cmsCode") String cmsCode);

    /**
     * 查询手机验证码
     *
     * @param id 手机验证码主键
     * @return 手机验证码
     */
    public MallMemberCms selectMallMemberCmsById(Long id);

    /**
     * 查询手机验证码列表
     *
     * @param mallMemberCms 手机验证码
     * @return 手机验证码集合
     */
    public List<MallMemberCms> selectMallMemberCmsList(MallMemberCms mallMemberCms);

    /**
     * 新增手机验证码
     *
     * @param mallMemberCms 手机验证码
     * @return 结果
     */
    public int insertMallMemberCms(MallMemberCms mallMemberCms);

    /**
     * 重置之前的验证码
     *
     * @param mallMemberCms 手机验证码
     * @return 结果
     */
    public int resetCmsCode(MallMemberCms mallMemberCms);

    /**
     * 修改手机验证码
     *
     * @param mallMemberCms 手机验证码
     * @return 结果
     */
    public int updateMallMemberCms(MallMemberCms mallMemberCms);

    /**
     * 删除手机验证码
     *
     * @param id 手机验证码主键
     * @return 结果
     */
    public int deleteMallMemberCmsById(Long id);

    /**
     * 批量删除手机验证码
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallMemberCmsByIds(Long[] ids);
}
